All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.remotefileselector2.html
Class NoColumnTableHeaderRenderer

    com.sas.servlet.tbeans.remotefileselector2.html.NoColumnTableHeaderRenderer

All Implemented Interfaces:
  HttpConstants, StyleInterface, TableCell, TableCellRenderer, javax.swing.SwingConstants

    public class NoColumnTableHeaderRenderer

The NoColumnTableHeaderRenderer class creates a renderer that writes out nothing for the column header. This class is used with the `Description` column of the `RemoteFileSelector`. The renderer prevents the display of the column header for a column. Since the `Description` column is rendered as a row the table should not write a header for this column.

This class was designed to be used along with the `ColumnAsRowCellRenderer` class. The renderer constructed through this class can be used with the `TableView` component as a TableHeaderRenderer.

Field Summary

Fields inherited from interface com.sas.servlet.tbeans.HttpConstants
`ALL, BASELINE, CHAR, COL, COLGROUP, JUSTIFY, MULTIPLE, NONE, ROW, ROWGROUP, SINGLE`

Constructor Summary
`NoColumnTableHeaderRenderer()`

Method Summary
`void` | `write(java.io.PrintWriter out, AbstractBaseTableView tableview, java.lang.Object value, java.lang.String name, ActionList actions)` Renders nothing for the column header.

Methods inherited from class com.sas.servlet.tbeans.tableview.html.DefaultTableCellRenderer
`getTableCellContentsRenderer, setTableCellContentsRenderer`

Methods inherited from class com.sas.servlet.tbeans.tableview.html.BaseTableCell
`getBgColor, getColSpan, getCustomAttributes, getHeaders, getHeight, getHeightPercentage, getHorizontalAlignment, getId, getLocale, getRowSpan, getScope, getStyleInfo, getVerticalAlignment, getWidth, getWidthPercentage, isHeader, isNoWrap, setBgColor, setColSpan, setCustomAttributes, setHeader, setHeaders, setHeight, setHeightPercentage, setHorizontalAlignment, setId, setLocale, setNoWrap, setRowSpan, setScope, setStyleInfo, setVerticalAlignment, setWidth, setWidthPercentage, writeBeginCell, writeEndCell`

Methods inherited from interface com.sas.servlet.tbeans.tableview.TableCellRenderer
`getLocale, setLocale`

Methods inherited from interface com.sas.servlet.tbeans.tableview.TableCell
`isHeader, setHeader, writeBeginCell, writeEndCell`

Constructor Detail

### NoColumnTableHeaderRenderer

    public NoColumnTableHeaderRenderer()

Method Detail

### write

    public void write(java.io.PrintWriter out,
                      AbstractBaseTableView tableview,
                      java.lang.Object value,
                      java.lang.String name,
                      ActionList actions)
               throws java.io.IOException

  Renders nothing for the column header. The column header should be suppressed when using the `ColumnAsRowCellRenderer` as the TableCellRenderer to write a column as a row.

  Specified by:
    `write` in interface `TableCell`
  Overrides:
    `write` in class `DefaultTableCellRenderer`
  Parameters:
    `out` - the output stream
    `tableview` - the instance of the tableview being written
    `value` - the value to display as the cell's contents
    `name` - the name to use for the contents component
    `actions` - an actionlist of all the valid actions for this cell
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.